#
# spec file for package quadrapassel
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           quadrapassel
Version:        3.22.0
Release:        lp151.3.2
Summary:        Tetris Game for GNOME
License:        GPL-2.0-or-later
Group:          Amusements/Games/Action/Other
URL:            https://live.gnome.org/Quadrapassel
Source:         http://download.gnome.org/sources/quadrapassel/3.22/%{name}-%{version}.tar.xz
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool >= 0.50
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vala >= 0.24.0
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(clutter-1.0) >= 1.0.0
BuildRequires:  pkgconfig(clutter-gtk-1.0) >= 0.91.6
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.12.0
BuildRequires:  pkgconfig(libcanberra-gtk3) >= 0.26
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.32.0
Recommends:     %{name}-lang
%glib2_gsettings_schema_requires

%description
Quadrapassel is a version of Tetris, the classic game of interlocking
four-piece blocks. As they fall from the top, the player must orient
them to fit the other blocks at the bottom so that they form a
complete horizontal line, in which case that line disappears and the
player gains points

%lang_package

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name} %{?no_lang_C}
%suse_update_desktop_file %{name}

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%license COPYING
%doc NEWS
%doc %{_datadir}/help/C/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%dir %{_datadir}/appdata
%{_datadir}/appdata/quadrapassel.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{name}*
%{_mandir}/man6/%{name}.6%{?ext_man}

%files lang -f %{name}.lang

%changelog
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Wed Sep 21 2016 zaitor@opensuse.org
- Update to version 3.22.0:
  + Updated translations.
* Mon Aug 15 2016 zaitor@opensuse.org
- Update to version 3.21.90:
  + Removed rtl icon code.
  + Add Language headers to po files.
  + Updated translations.
* Sat May 28 2016 zaitor@opensuse.org
- Update to version 3.21.2:
  + Don't save last scores twice before exiting.
  + Updated translations.
* Mon Mar 21 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + No changes, version bump only.
* Tue Mar 15 2016 dimstar@opensuse.org
- Update to version 3.19.92:
  + Updated translations.
* Tue Feb 16 2016 dimstar@opensuse.org
- Update to version 3.19.90:
  + Stop using deprecated gnome-common.
  + Updated translations.
* Tue Sep 22 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Updated translations.
* Tue Sep 15 2015 zaitor@opensuse.org
- Update to version 3.17.92:
  + No changes from last version, pure version bump.
* Wed Sep  2 2015 zaitor@opensuse.org
- Update to version 3.17.91:
  + Updated translations.
* Wed May 13 2015 zaitor@opensuse.org
- Update to version 3.16.1:
  + Add symbolic icon.
  + Updated translations.
- Remove HighContrast %%icon_theme_cache_post(un) calls, as Symbolic
  icons have replaced them.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Tue Mar 17 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + Updated translations.
* Tue Feb 17 2015 dimstar@opensuse.org
- Update to version 3.15.90:
  + Updated translations.
* Mon Dec  1 2014 badshah400@gmail.com
- Update to version 3.15.2:
  + Code cleanup.
  + Layout Changes.
  + Updated translations.
* Tue Sep 23 2014 dimstar@opensuse.org
- Update to version 3.14.0:
  + Updated translations.
* Mon Sep 15 2014 zaitor@opensuse.org
- Update to version 3.13.92:
  + Updated translations.
* Mon Sep  1 2014 zaitor@opensuse.org
- Update to version 3.13.91:
  + Updated translations.
* Tue Aug 19 2014 dimstar@opensuse.org
- Update to version 3.13.90:
  + Updated translations.
* Mon Jul 21 2014 dimstar@opensuse.org
- Update to version 3.13.4:
  + Appdata Fixes.
  + General Fixup.
  + Updated translations.
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 3.13.1:
  + Mark all images without translatable text as non-translatable.
  + Updated user docs.
  + Updated translations.
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 3.12.2:
  + Updated translations.
* Tue Apr 15 2014 zaitor@opensuse.org
- Update to version 3.12.1:
  + Updated translations.
* Sun Mar 23 2014 zaitor@opensuse.org
- Update to version 3.12.0:
  + Updated translations.
* Tue Mar 18 2014 dimstar@opensuse.org
- Update to version 3.11.92:
  + Updated translations.
* Mon Mar  3 2014 dimstar@opensuse.org
- Update to version 3.11.91:
  + Updated translations.
* Mon Feb 17 2014 zaitor@opensuse.org
- Update to version 3.11.90:
  + appdata: specify project_group.
  + Add tooltips to the pause/play button.
  + Updated translations.
* Mon Feb  3 2014 zaitor@opensuse.org
- Update to version 3.11.5:
  + Remove Pause from the app menu.
  + Redone Layout, Removed toolbar and fullscreen mode, added
    headerbar.
  + Add multi-functional button (new game, pause, unpause).
  + Change GTK dependency to 3.10.
  + Change default window size to something nicer looking.
  + Fix the start icon in RTL.
  + Updated translations.
* Mon Jan 13 2014 dimstar@opensuse.org
- Update to version 3.11.4:
  + About dialog: update website.
  + Updated translations.
* Mon Dec 16 2013 dimstar@opensuse.org
- Update to version 3.11.3:
  + Added frame around preview area.
  + Score dialog: autoscroll to new score.
  + Split ScoreDialog into its own file.
  + Scores dialog: replace Quit with Close.
  + About dialog: switch to GtkLicense.
  + app menu: standardize Help/About/Quit.
  + Updated translations.
* Mon Nov 18 2013 dimstar@opensuse.org
- Update to version 3.11.2:
  + Check for *-validate before using it.
  + Run autoupdate.
  + Sort scores from highest to lowest.
  + Make preview area available at the start of the game (if it is
    enabled).
  + Changing text layout of sidebar.
  + Updated translations.
* Sun Nov 17 2013 dimstar@opensuse.org
- Update to version 3.11.1:
  + Disable all C warnings.
  + Stop using deprecated Gtk.Stock.
  + Remove .desktop.in.in and BugBuddy info.
  + Rely on intltool >=0.50 for gsettings translation.
  + Changes in appdata file.
  + Update screenshot for new appdata-validate.
  + Use the dark theme.
  + Updated translations.
* Mon Nov 11 2013 dimstar@opensuse.org
- Update to version 3.10.2 (bnc#849913):
  + Sort scores from highest to lowest.
* Sun Sep 22 2013 zaitor@opensuse.org
- Update to version 3.10.0:
  + Updated translations.
* Mon Sep 16 2013 dimstar@opensuse.org
- Update to version 3.9.92:
  + Add an appdata file.
  + Reset pause button when game starts.
  + Remove earthquake and make falling slower and more realistic.
  + Fix issue with pre filled Lines.
  + Give stage lighter color.
  + Updated translations.
* Sun Sep  1 2013 zaitor@opensuse.org
- Update to version 3.9.91:
  + Updated translations.
* Sun Aug 18 2013 zaitor@opensuse.org
- Update to version 3.9.90:
  + Update git.mk and ignore more files.
  + Updated translations.
* Wed Jul 31 2013 zaitor@opensuse.org
- Update to version 3.9.5:
  + Removed deprecated clutter animation.
  + Don't choose difficult blocks by default.
  + Switch preview and difficult blocks in settings.
  + help: add missing space between icon and title.
  + help: Fix obsolete product of bugzilla.
  + Updated translations.
* Sun Jul 28 2013 zaitor@opensuse.org
- Update to version 3.8.2:
  + Fixed repeated down press bug.
  + Hiding preview embed when preview is unavailable or disabled.
  + Disable preview-button in difficult block mode.
  + Fix bug where falling block shadow would get missing.
  + Fix segmentation fault when down key was released after game
    was over.
  + help: update translate  link for new module name.
  + Updated translations.
* Mon Apr 15 2013 dimstar@opensuse.org
- Update to version 3.8.1:
  + Fix tags in the Hungarian help.
  + Updated translations.
* Wed Mar 27 2013 dimstar@opensuse.org
- Update to version 3.8.0:
  + Updated translations.
* Tue Mar 19 2013 dimstar@opensuse.org
- Update to version 3.7.92:
  + Fixed high contrast icon for 256x256.
  + Updated translations.
* Tue Mar  5 2013 dimstar@opensuse.org
- Initial package, version 3.7.90: split-off from gnome-games.
